=== debian/changelog ===
hashcat-utils (1.9-0kali2) kali-dev; urgency=medium

  * Add arm64 and armhf to supported architectures
  * Bump debian/compat version from 9 to 12

 -- Steev Klimaszewski <steev@kali.org>  Mon, 29 Jun 2020 10:06:14 -0500

hashcat-utils (1.9-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 21 Aug 2018 15:38:04 +0200

hashcat-utils (1.7-0kali1) kali-dev; urgency=medium

  * Import new upstream release

 -- Sophie Brun <sophie@freexian.com>  Tue, 09 May 2017 15:06:24 +0200

hashcat-utils (1.2-0kali1) kali-dev; urgency=medium

  * Import new upstream release
  * debian/copyright: new license (MIT)
  * debian/control: change section as code is now licensed under MIT
  * Use debhelper 9
  * Update debian/rules and debian/hashcat-utils.install to build from source
  * Add a patch to buld with LDFLAGS

 -- Sophie Brun <sophie@freexian.com>  Tue, 12 Jan 2016 09:47:09 +0100

hashcat-utils (1.1-0kali0) kali; urgency=medium

  * Imported new upstream release (Closes: 0001848)

 -- Devon Kearns <dookie@kali.org>  Tue, 28 Oct 2014 19:06:08 -0600

hashcat-utils (0.9-1kali1) kali; urgency=low

  * Moved to non-free

 -- Mati Aharoni <muts@kali.org>  Sat, 02 Mar 2013 12:47:24 -0500

hashcat-utils (0.9-1kali0) kali; urgency=low

  * Initial release 

 -- Devon Kearns <dookie@kali.org>  Mon, 25 Feb 2013 07:12:40 -0700
