=== debian/watch ===
version=3
opts="filenamemangle=s/.*\/v?(.*)\.tar\.gz/hashcat-utils-$1.tar.gz/" \
https://github.com/hashcat/hashcat-utils/tags .*/v?(.*)\.tar\.gz
