## hashcat-utils 1.9+git20190608.1.f2a86c7

=== debian/changelog ===
hashcat-utils (1.9+git20190608.1.f2a86c7-0kali1~jan+nus14) kali-bleeding-edge; urgency=low

  * New upstream snapshot.
  * Build for debian-janitor apt repository.

 -- Kali Janitor <janitor@kali.org>  Mon, 07 Jun 2021 16:18:15 -0000
