=== debian/control ===
Source: hashcat-utils
Section: utils
Priority: optional
Maintainer: Kali Developers <devel@kali.org>
Uploaders: Devon Kearns <dookie@kali.org>
Build-Depends: debhelper-compat (= 12)
Standards-Version: 4.2.1
Homepage: https://github.com/hashcat/hashcat-utils/
Vcs-Git: https://gitlab.com/kalilinux/packages/hashcat-utils.git
Vcs-Browser: https://gitlab.com/kalilinux/packages/hashcat-utils

Package: hashcat-utils
Architecture: i386 amd64 arm64 armhf
Depends: ${shlibs:Depends}, ${misc:Depends}, perl
Description: Set of small utilities for advanced password cracking
 Hashcat-utils are a set of small utilities that are useful in advanced
 password cracking.
 .
 They all are packed into multiple stand-alone binaries.
 .
 All of these utils are designed to execute only one specific function.
