## hashcat-utils 1.10

=== debian/changelog ===
hashcat-utils (1.10-0kali1) kali-experimental; urgency=medium

  [ Ben Wilson ]
  * Update email address
  * Remove template comment and switch spaces to tabs

  [ Kali Janitor ]
  * Update watch file format version to 4.

  [ Steev Klimaszewski ]
  * ci: Disable building on armel

  [ Arnaud Rebillout ]
  * Drop armel-related variable from CI (no more armel runner)

  [ Sophie Brun ]
  * New upstream version 1.10
  * Update my email
  * Update Uploaders
  * Update debian/coyright
  * Refresh patches
  * Bump Standards-Version to 4.7.2

 -- Sophie Brun <sophie@kali.org>  Mon, 22 Sep 2025 16:52:15 +0200
