=== debian/control ===
--- 
+++ 
@@ -2,9 +2,9 @@
 Section: utils
 Priority: optional
 Maintainer: Kali Developers <devel@kali.org>
-Uploaders: Devon Kearns <dookie@kali.org>
+Uploaders: Sophie Brun <sophie@kali.org>
 Build-Depends: debhelper-compat (= 12)
-Standards-Version: 4.2.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/hashcat/hashcat-utils/
 Vcs-Git: https://gitlab.com/kalilinux/packages/hashcat-utils.git
 Vcs-Browser: https://gitlab.com/kalilinux/packages/hashcat-utils
